Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractorItem/FrmSubContractorItem.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractorItem/FrmSubContractorItem.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractorItem/FrmSubContractorItem.cs	(revision 51)
@@ -80,29 +80,13 @@
         /// 終了ボタン押下フラグ
         /// </summary>
         private bool m_EndButton = false;
-        #endregion
 
-        #region コンストラクタ
-        public FrmSubContractorItem()
-        {
-            InitializeComponent();
-        }
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
         #endregion
-        #region デストラクタ
-        ~FrmSubContractorItem()
-        {
-            try
-            {
-                GC.Collect();
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
 
-
         #region プロパティ
         /// <summary>
         /// ダイアログ使用時フラグ
@@ -139,10 +123,38 @@
         {
             get { return m_EndButton; }
         }
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
         #endregion
 
+        #region コンストラクタ
+        public FrmSubContractorItem()
+        {
+            InitializeComponent();
+        }
+        #endregion
+        #region デストラクタ
+        ~FrmSubContractorItem()
+        {
+            try
+            {
+                GC.Collect();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
 
-        #region イベントメソッド
+        #region ×ボタン押下処理
         /// <summary>
         /// ×ボタン押下処理
         /// </summary>
@@ -162,6 +174,9 @@
             // 前プロセスに戻る
             ClsExcute.BackProcess();
         }
+        #endregion
+
+        #region 終了ボタン押下
         /// <summary>
         /// 終了ボタン押下
         /// </summary>
@@ -172,7 +187,9 @@
             m_EndButton = true;
             this.Close();
         }
+        #endregion
 
+        #region フォームロード
         /// <summary>
         /// フォームロード
         /// </summary>
@@ -188,8 +205,16 @@
 
             // ボタン表示の制御
             ButtonVisble(this);
+
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
         }
+        #endregion
 
+        #region 行データクリア
         /// <summary>
         /// 行データクリア
         /// </summary>
@@ -201,7 +226,9 @@
             dgvMaster[(int)DispColumn.DisplayOrder, iIndex].Value = "";
             dgvMaster[(int)DispColumn.NameString, iIndex].Value = "";
         }
+        #endregion
 
+        #region グリッド採番処理
         /// <summary>
         /// グリッド採番処理
         /// </summary>
@@ -217,6 +244,9 @@
                     r.Cells[(int)DispColumn.DisplayOrder].Value = "0";
             }
         }
+        #endregion
+
+        #region 行追加ボタン押下
         /// <summary>
         /// 行追加ボタン押下
         /// </summary>
@@ -295,7 +325,9 @@
             //dgvMaster.FirstDisplayedScrollingRowIndex = iIndex;
             //dgvMaster.CurrentCell = dgvMaster[0, iIndex];
         }
+        #endregion
 
+        #region フィールド値変更フラグ
         /// <summary>
         /// フィールド値変更フラグ
         /// </summary>
@@ -305,7 +337,9 @@
         {
             m_bChengeAns = true;
         }
+        #endregion
 
+        #region セル値変化
         /// <summary>
         /// セル値変化
         /// </summary>
@@ -324,7 +358,10 @@
             // 変更フラグON
             m_bChengeAns = true;
         }
-                /// <summary>
+        #endregion
+
+        #region 行削除ボタン押下
+        /// <summary>
         /// 行削除ボタン押下
         /// </summary>
         /// <param name="sender"></param>
@@ -356,6 +393,8 @@
 
                 itemDB.commit();
 
+                CommonMotions.RemoveEndMessage("協力会社工種データ行");
+
                 // データ表示
                 if (!DispGridData()) return;
 
@@ -375,7 +414,9 @@
                 itemDB = null;
             }
         }
+        #endregion
 
+        #region 登録ボタン押下
         /// <summary>
         /// 登録ボタン押下
         /// </summary>
@@ -415,7 +456,10 @@
                 int iIndex = dgvMaster.FirstDisplayedScrollingRowIndex;
 
                 // データ登録
-                SubContractorItemMasterDataEntry();
+                if (SubContractorItemMasterDataEntry())
+                {
+                    CommonMotions.EntryEndMessage("協力会社工種データ");
+                }
 
                 // データ表示
                 if (!DispGridData()) return;
@@ -431,7 +475,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region IMEのコントロール
         /// <summary>
         /// IMEのコントロール
         /// </summary>
@@ -460,6 +506,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
+
+        #region セルダブルクリック
         /// <summary>
         /// セルダブルクリック
         /// </summary>
@@ -467,6 +516,9 @@
         /// <param name="e"></param>
         private void dgvMaster_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
         {
+            // 参照は処理しない
+            if (m_EditLock) return;
+            
             // 空白行は処理しない
             if (CommonMotions.chkCellBlank(dgvMaster.CurrentRow.Cells[(int)DispColumn.NameString])) return;
 
@@ -480,6 +532,9 @@
             
             m_bChengeAns = false;
         }
+        #endregion
+
+        #region アップキー押下
         /// <summary>
         /// アップキー押下
         /// </summary>
@@ -506,6 +561,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
+
+        #region ダウンキー押下処理
         /// <summary>
         /// ダウンキー押下処理
         /// </summary>
@@ -533,7 +591,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region Formキーダウン処理
         /// <summary>
         /// Formキーダウン処理
         /// </summary>
@@ -557,6 +617,9 @@
                 e.SuppressKeyPress = true;
             }
         }
+        #endregion
+
+        #region グリッドのキーダウン処理
         /// <summary>
         /// グリッドのキーダウン処理
         /// </summary>
@@ -572,7 +635,7 @@
         }
         #endregion
 
-        #region プライベートメソッド
+        #region 初期表示処理
         /// <summary>
         /// 初期表示処理
         /// </summary>
@@ -605,7 +668,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 画面項目のチェック
         /// <summary>
         /// 画面項目のチェック
         /// </summary>
@@ -643,12 +708,14 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
                 return false;
             }
-      }
+        }
+        #endregion
 
+        #region 協力会社工種データ登録
         /// <summary>
         /// 協力会社工種データ登録
         /// </summary>
-        private void SubContractorItemMasterDataEntry()
+        private bool SubContractorItemMasterDataEntry()
         {
             IOMSubContractorItem itemDB = new IOMSubContractorItem();
             try
@@ -698,7 +765,7 @@
                     {
                         itemDB.rollback();
                         MessageBox.Show("登録確認に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        return;
+                        return false;
                     }
 
                     if (uList.Count == 0)
@@ -712,7 +779,7 @@
                         {
                             itemDB.rollback();
                             MessageBox.Show("登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                            return;
+                            return false;
                         }
                     }
                     else
@@ -722,7 +789,7 @@
                         {
                             itemDB.rollback();
                             MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                            return;
+                            return false;
                         }
                     }
                 }
@@ -729,10 +796,13 @@
 
                 // 成功したらcommit
                 itemDB.commit();
+
+                return true;
             }
             catch (System.Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
             }
             finally
             {
@@ -740,7 +810,9 @@
                 itemDB = null;
             }
         }
+        #endregion
 
+        #region 協力会社工種表示
         /// <summary>
         /// 協力会社工種表示
         /// </summary>
@@ -809,7 +881,9 @@
             }
             return true;
         }
+        #endregion
 
+        #region ボタンの表示・非表示制御
         /// <summary>
         /// ボタンの表示・非表示制御
         /// </summary>
@@ -821,13 +895,12 @@
 
             foreach (Control ctrl in Parent.Controls)
             {
-                if (ctrl.GetType().Equals(typeof(Button)))
-                {
-                    // 登録・終了ボタン以外を制御する
-                    if (ctrl.Name.ToString() != btnEnd.Name.ToString()
-                        && ctrl.Name.ToString() != btnDataEntry.Name.ToString()) 
-                        ctrl.Visible = bAns;
-                }
+                if (!ctrl.GetType().Equals(typeof(Button))) continue;
+
+                // 登録・終了ボタン以外を制御する
+                if (ctrl.Name.Equals(btnEnd.Name) || ctrl.Name.Equals(btnDataEntry.Name)) continue;
+                
+                ctrl.Visible = bAns;
             }
             // ダイアログ時登録ボタンを選択ボタンに変更する
             if (m_DialogFlg)
@@ -836,7 +909,9 @@
                 btnDataEntry.Location = btnLineDelete.Location;
             }
         }
+        #endregion
 
+        #region グリッド最終行での処理
         /// <summary>
         /// グリッド最終行での処理
         /// </summary>
@@ -859,5 +934,31 @@
             }
         }
         #endregion
+
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                foreach (Control ctrl in this.Controls)
+                {
+                    if (!ctrl.GetType().Equals(typeof(Button))) continue;
+
+                    // 終了ボタン以外を制御する
+                    if (ctrl.Name.Equals(btnEnd.Name)) continue;
+
+                    ctrl.Visible = false;
+                }
+                dgvMaster.ReadOnly = true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractorJob/FrmSubContractorJobCategory.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractorJob/FrmSubContractorJobCategory.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractorJob/FrmSubContractorJobCategory.cs	(revision 51)
@@ -85,27 +85,12 @@
         /// </summary>
         private bool m_MultiSelect = true;
 
-        #endregion
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
 
-        #region コンストラクタ
-        public FrmSubContractorJobCategory()
-        {
-            InitializeComponent();
-        }
         #endregion
-        #region デストラクタ
-        ~FrmSubContractorJobCategory()
-        {
-            try
-            {
-                GC.Collect();
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
 
         #region プロパティ
         /// <summary>
@@ -152,8 +137,36 @@
             set { m_MultiSelect = value; }
         }
 
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
         #endregion
 
+        #region コンストラクタ
+        public FrmSubContractorJobCategory()
+        {
+            InitializeComponent();
+        }
+        #endregion
+        #region デストラクタ
+        ~FrmSubContractorJobCategory()
+        {
+            try
+            {
+                GC.Collect();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region ×ボタン押下処理
         /// <summary>
         /// ×ボタン押下処理
@@ -205,6 +218,13 @@
 
             // ボタン表示の制御
             ButtonVisble(this);
+
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
         }
         #endregion
 
@@ -387,6 +407,8 @@
 
                 jobDB.commit();
 
+                CommonMotions.RemoveEndMessage("協力会社職種データ行");
+
                 // データ表示
                 if (!DispGridData()) return;
 
@@ -451,6 +473,7 @@
                 // ダイアログ使用時
                 if (m_DialogFlg)
                 {
+                    dgvMaster.CurrentRow.Cells[(int)DispColumn.Check].Value = true;
                     DataSelectProc();
                     m_bChengeAns = false;
                     this.Close();
@@ -467,7 +490,10 @@
                 int iIndex = dgvMaster.FirstDisplayedScrollingRowIndex;
 
                 // データ登録
-                SubContractorJobCategoryDataEntry();
+                if (SubContractorJobCategoryDataEntry())
+                {
+                    CommonMotions.EntryEndMessage("協力会社職種データ");
+                }
 
                 // データ表示
                 if (!DispGridData()) return;
@@ -731,7 +757,7 @@
         /// <summary>
         /// 協力会社職種データ登録
         /// </summary>
-        private void SubContractorJobCategoryDataEntry()
+        private bool SubContractorJobCategoryDataEntry()
         {
             IOMSubContractorJobCategory jobDB = new IOMSubContractorJobCategory();
             try
@@ -780,7 +806,7 @@
                     {
                         jobDB.rollback();
                         MessageBox.Show("登録確認に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        return;
+                        return false;
                     }
 
                     if (uList.Count == 0)
@@ -794,7 +820,7 @@
                         {
                             jobDB.rollback();
                             MessageBox.Show("登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                            return;
+                            return false;
                         }
                     }
                     else
@@ -804,7 +830,7 @@
                         {
                             jobDB.rollback();
                             MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                            return;
+                            return false;
                         }
                     }
                 }
@@ -811,10 +837,13 @@
 
                 // 成功したらcommit
                 jobDB.commit();
+
+                return true;
             }
             catch (System.Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
             }
             finally
             {
@@ -907,13 +936,12 @@
 
             foreach (Control ctrl in Parent.Controls)
             {
-                if (ctrl.GetType().Equals(typeof(Button)))
-                {
-                    // 登録・終了ボタン以外を制御する
-                    if (ctrl.Name.ToString() != btnEnd.Name.ToString()
-                        && ctrl.Name.ToString() != btnDataEntry.Name.ToString()) 
-                        ctrl.Visible = bAns;
-                }
+                if (!ctrl.GetType().Equals(typeof(Button))) continue;
+
+                // 登録・終了ボタン以外を制御する
+                if (ctrl.Name.Equals(btnEnd.Name) || ctrl.Name.Equals(btnDataEntry.Name)) continue;
+                    
+                ctrl.Visible = bAns;
             }
             // ダイアログ時登録ボタンを選択ボタンに変更する
             if (m_DialogFlg)
@@ -947,5 +975,31 @@
             }
         }
         #endregion
+
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                foreach (Control ctrl in this.Controls)
+                {
+                    if (!ctrl.GetType().Equals(typeof(Button))) continue;
+
+                    // 終了ボタン以外を制御する
+                    if (ctrl.Name.Equals(btnEnd.Name)) continue;
+
+                    ctrl.Visible = false;
+                }
+                dgvMaster.ReadOnly = true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Suppliers/FrmSuppliers.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Suppliers/FrmSuppliers.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Suppliers/FrmSuppliers.cs	(revision 51)
@@ -88,14 +88,7 @@
         }
         #endregion
 
-        #region 修正モード名称
-        /// <summary>
-        /// 修正モード名称
-        /// </summary>
-        private static string EditModeStringNew = "新規";
-        private static string EditModeStringEdit = "修正";
         #endregion
-        #endregion
 
         #region 変数
         /// <summary>
@@ -129,6 +122,11 @@
         /// 終了ボタン押下フラグ
         /// </summary>
         private bool m_EndButton = false;
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
         #endregion
 
         #region プロパティ
@@ -156,6 +154,15 @@
             get { return m_bBrowseFlg; }
             set { m_bBrowseFlg = value; }
         }
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
         #endregion
 
         #region コンストラクタ
@@ -236,6 +243,12 @@
             // フィールドロック
             ControlLock(false);
 
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
             dgvMaster.Focus();
         }
         #endregion
@@ -271,6 +284,8 @@
                 // データ登録
                 if (!SuppliersMasterDataEntry()) return;
 
+                CommonMotions.EntryEndMessage("購入先データ");
+
                 // 更新エリアクリア
                 ClearDisplay();
 
@@ -328,6 +343,8 @@
                     return;
                 }
 
+                CommonMotions.RemoveEndMessage("購入先データ");
+
                 // 更新エリアクリア
                 ClearDisplay();
 
@@ -423,7 +440,17 @@
             DispMentenanceData();
 
             // モード表示
-            m_dispControl[(int)Dispcount.EditMode].Text = EditModeStringEdit;
+            if (m_EditLock)
+                m_dispControl[(int)Dispcount.EditMode].Text = CommonDefine.EditModeStringRef;
+            else
+                m_dispControl[(int)Dispcount.EditMode].Text = CommonDefine.EditModeStringEdit;
+
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
             // フォーカスセット
             m_dispControl[(int)Dispcount.SuppliersName1].Focus();
 
@@ -494,7 +521,7 @@
                 }
 
                 // モード表示
-                m_dispControl[(int)Dispcount.EditMode].Text = EditModeStringNew;
+                m_dispControl[(int)Dispcount.EditMode].Text = CommonDefine.EditModeStringNew;
                 // フォーカスセット
                 m_dispControl[(int)Dispcount.SuppliersName1].Focus();
             }
@@ -986,5 +1013,28 @@
             }
         }
         #endregion
+
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                ControlLock(false);
+                btnDataEntry.Visible = false;
+                btnDataDelete.Visible = false;
+                btnDataLineEntry.Visible = false;
+                btnDispDown.Visible = false;
+                btnDispUp.Visible = false;
+                btnSerchZip.Visible = false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
\ No newline at end of file
